<?php

namespace App\Controller;

use App\Repository\ProduitRepository;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class AdminController extends AbstractController
{
    #[Route('/admin', name: 'app_admin')]
    public function index(ProduitRepository $produitRepository, EntityManagerInterface $entityManager): Response
    {
        $this->removeExpiredProducts($produitRepository, $entityManager);

        return $this->render('admin/index.html.twig', [
            'controller_name' => 'AdminController',
        ]);
    }

    private function removeExpiredProducts(ProduitRepository $produitRepository, EntityManagerInterface $entityManager): void
    {
        $produits = $produitRepository->findAll();

        foreach ($produits as $produit) {
            if ($produit->getDate() < new \DateTime()) {
                $entityManager->remove($produit);
            }
        }

        $entityManager->flush();
    }
}